Hinweis: Sie sind auf den Seiten der Moodle 2.5 Dokumentation. Die Dokumentation der aktuellsten Moodle-Version finden Sie hier: Aktualisierung von Moodle.

Aktualisierung von Moodle: Unterschied zwischen den Versionen

Aus MoodleDocs
Wechseln zu:Navigation, Suche
Zeile 1: Zeile 1:
 
{{Installation}}
 
{{Installation}}
  
Moodle ist so konzipiert, dass man das System einfach und problemlos von einer Version auf die nächste aktualisieren kann.  
+
'''Bevor Sie irgend etwas anderes tun, lesen Sie den Artikel [[Auf Moodle 2.2 aktualisieren]].'''
 +
 +
Moodle ist so konzipiert, dass man das System einfach und problemlos von einer Version auf die nächste aktualisieren kann. Die Vorgehensweise ist folgende:
 +
*[[Sicherung der Moodle-Installation]]
 +
*Ersetzen der alten Moodle-PHP-Skripte durch die neuen.
 +
*Als Administrator/in auf der Seite ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Mitteilungen'' den Aktualisierungsprozess anstoßen.
  
Änderungen, die Sie am Originalcode bzw. an der Standardinstallation vorgenommen haben (z.B. Installation von Zusatzmodulen Dritter oder Änderungen an den PHP-Skripten), werden bei der Aktualisierung u.U. nicht mit aktualisiert. Das gilt insbesondere für Änderungen der [[Designs|Standarddesigns]], die bei der Aktualisierung überschrieben werden.
+
In diesem Artikel werden die einzelnen Schritte einer Aktualisierung detailliert beschrieben.
  
Im folgenden werden die einzelnen Schritte einer Aktualisierung detailliert beschrieben.
+
Manchmal muss man Besonderheiten beachten, wenn man auf eine bestimmte Moodle-Version aktualisiert. Informationen dazu finden Sie auf der [https://docs.moodle.org/dev/Releases Release Page]. Wenn Sie zusätzliche Plugins installiert oder Codeanpassungen vorgenommen haben, müssen Sie ebenfalls sorgfältig vorgehen.
  
==Voraussetzungen prüfen==
+
Wenn Sie Moodle über das cpanel aktualisieren, beachten Sie folgendes [http://ic.eflclasses.org/tutorials/howtoupgrademoodlewithcpanel.swf Video]. Es ist nicht mehr aktuell, kann aber dennoch einen groben Einblick geben.
  
Nehmen Sie sich die Zeit und lesen Sie noch einmal den Artikel [[Installation von Moodle]]. Prüfen Sie die Systemanforderungen für die Moodle-Version, auf die Sie aktualisieren möchten,  unter Block ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Server > [[Serverinformationen]]''.
 
  
==Aktuelle Daten sichern==
+
==Bevor Sie Ihre Produktiv-Installation aktualisieren==
Bevor Sie eine Aktualisierung einer produktiven Moodle-Installation durchführen, empfehlen wir dringend, alle wichtigen Daten zu sichern. Für den Fall, dass bei der Aktualisierung wider Erwarten etwas schief gehen sollte, können Sie so problemlos auf die alte Version zurückgreifen.
+
Wir empfehlen dringend, eine Kopie Ihrer aktuellen Installation auf einem anderen Server zu erstellen (siehe [[Moodle Migration]]) und die Aktualisierung dort testweise durchzuführen. Wenn Sie diesen Weg nicht gehen wollen, stellen Sie wenigstens sicher, dass Sie gute [[Sicherung der Moodle-Installation|Sicherungen]] haben. Wenn die Aktualisierung schief geht, benötigen Sie die Sicherungen, um Ihr altes Moodle wiederherzustellen.
  
'''Tipp''': Generell ist es eine gute Idee, die Daten täglich automatisch zu sichern.
+
==Voraussetzungen prüfen==
  
Es gibt drei Bereiche in Moodle, in denen Daten gesichert werden müssen:
+
Nehmen Sie sich die Zeit und lesen Sie noch einmal den Artikel [[Installation von Moodle]]. Prüfen Sie die Systemanforderungen für die Moodle-Version, auf die Sie aktualisieren möchten, unter Block ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Server > [[Serverinformationen]]''.
  
====1. Das Moodle-Verzeichnis selbst====
+
==Wartungsmodus aktivieren==
Sichern Sie das [[Moodle-Verzeichnis]] mit den PHP-Skripten. So können Sie später auf Ihre alte [[Moodle-Konfigurationsdatei]] ''config.php'' und alle Zusatzmodule (Aktivitäten, Designs, usw.) zurückgreifen.
+
Bevor Sie mit der Aktualisierung beginnen, schalten Sie die Moodle-Site in den [[Wartungsmodus]], um zu verhindern, dass sich Nutzer/innen anmelden.
  
====2. Das Moodle-Datenverzeichnis====
+
==Wichtige Daten sichern==
Die Daten im [[Moodle-Datenverzeichnis]] (Arbeitsmaterialien, eingreichte Aufgaben, usw.) sind so wichtig, dass Sie ohnehin regelmäßig gesichert werden müssen. Sichern Sie in jedem Fall vor der Aktualisierung das komplette Verzeichnis, denn im Verlauf des Aktualisierungsprozesses kann es zur Umbenennung oder Verschiebung von Unterverzeichnissen kommen.
+
Detaillierte Informationen dazu finden Sie im Artikel [[Sicherung der Moodle-Installation|Sicherungen]].  
  
Unter Linux können Sie einfach eine temporäre Kopie des [[Moodle-Datenverzeichnis]]ses erstellen:
+
Im wesentlichen müssen Sie drei Bereiche sichern:
 +
#Moodle Software (PHP-Skripte von Moodle)
 +
#[[Moodle-Datenverzeichnis]]
 +
#[[Moodle-Datenbank]]
  
  mkdir /var/www/moodledata_backup
+
Erfahrene Administrator/innen wissen, dass es bei größeren Aktualisierungen immer wichtig ist, diese Daten zu sichern. Generell ist es eine gute Idee, diese Daten täglich automatisch zu sichern. Wenn Sie eine Standardinstallation von Moodle betreiben (ohne zusätzliche Plugins, ohne eigene Codeanpassungen), dann läuft die Aktualisierung normalerweise reibungslos durch.
  cp -r /var/www/moodledata/* /var/www/moodledata_backup
 
  
====3. Die Moodle-Datenbank====
+
'''Tipp''': Prüfen Sie auch, ob Sie Ihre Sicherungen wiederherstellen können, sonst nützen sie nichts!
Bei einer Aktualisierung wird in den allermeisten Fällen die [[Moodle-Datenbank]] verändert (Tabelle oder Felder neu angelegt oder geändert). Es gibt verschiedene Möglichkeiten, eine Datenbank zu sichern. Im Fall einer MySQL-Datenbank wird die Datenbank durch einen sogenannten Dump in einer einzelnen SQL-Datei gesichert. Beispielhaft zeigt das folgende Kommando, wie unter Unix eine MySQL-Datenbank "moodle" gesichert wird:
 
  
  mysqldump -u username -p -C -Q -e --create-options moodle > moodle-backup-2009-01-01.sql
+
==Neue Moodle-Software installieren==
 +
Die Aktualsierung von Moodle kann ein ganz einfacher, aber auch ein komplizierterer Prozess sein. Wenn Sie keine zusätzlcihen Plugins haben und z.B. von Moodle 2.x.1 auf Moodle 2.x.3 aktualisieren, sollte dies ohne Probleme funktionieren. Dennoch sollten Sie auch in diesem Fall alle relevanten Daten sichern.
  
Ersetzen Sie im obigen Befehl "username" durch Ihren Datenbank-Nutzer, der Zugriff auf die Moodle-Datenbank hat. Die Option "-p" bewirkt, dass das Kennwort des Datenbank-Nutzers abgefragt wird, der hinter der Option "-u" angegeben ist.
+
'''Achtung''': Überschreiben Sie niemals eine alte Installation, wenn Sie nicht genau wissen, was Sie da tun! Am besten, Sie benennen Ihr altes [[Moodle-Verzeichnis]] (wo die PHP-Skripte von Moodle gespeichert sind) um und legen ein neues, leeres Verzeichnis mit dem alten Namen an.
  
Wenn die Datenbank auf einem anderen Server liegt, als der, von dem Sie das Sicherungskommando ausführen (normalerweise vom Webserver aus), dann müssen Sie mit der Option "-h" den Server angeben, auf dem die Datenbank liegt:
+
=== Standardpaket verwenden ===
 
+
Laden Sie sich das [http://download.moodle.org/ aktuellste Standardinstallationspaket] herunter.
  mysqldump -u username -p -h databasehost -C -Q -e --create-options moodle > moodle-backup-2009-01-01.sql
+
* Aktivieren Sie den [[Wartungsmodus]].
 +
* Benennen Sie das alte Moodle-Verzeichnis um (z.B. ''/moodle'' -> ''/moodleold''), und entpacken Sie den neuen Code und kopieren Sie ihn in das Verzeichnis, wo die alten Moodle-Skripte vorher lagen (z.B. ''/moodle'').
 +
* Kopieren Sie Ihre alte [[Moodle-Konfigurationsdatei]] ''config.php'' zurück ins Moodle-Verzeichnis (z.B. ''/moodle'').
 +
* Wenn Sie zusätzliche Plugins installiert hatten, laden Sie die entsprechenden neuen Versionen herunter und entpacken Sie diese in den passenden Verzeichnissen (siehe [[Plugins installieren]]). Stellen Sie sicher, dass die Versionen der Plugins zur neuen Moodle-Version passen.
 +
* Gehen Sie auf die Seite ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Mitteilungen'', um den Aktualisierungsprozess anzustoßen.
 +
* Nach erfolgreicher Aktualisierung schalten Sie den Wartungsmodus wieder aus, damit sich Ihre Nutzer/innen wieder anmelden können.
 
   
 
   
Sie können auch die Export-Funktionalität der MySQL-Admin-Schnittstelle von Moodle verwenden. Bei dieser Schnitt stelle handelt es sich um eine Integration von [http://www.phpmyadmin.net/home_page/index.php phpMyAdmin] in Moodle. Diese Schnittstelle gehört allerdings nicht zur Standardinstallation. Sie kann unter [http://moodle.org/mod/data/view.php?d=13&rid=448 Module und Plugins] heruntergeladen werden und ist nach der Installation unter ''Website-Administration > Server > Datenbank'' verfügbar.
 
 
'''Hinweise zum SQL-Dump''':
 
*Beachten Sie, dass es eine Vielzahl von Optionen für den Befehl "mysqldunp" gibt. Fragen Sie Ihre Systemadministrator oder informieren Sie sich anderweitig, was die Optionen im einzelnen bedeuten und welche Sie verwenden sollten. Z.B. wenn Ihre lokale (Test-)Installation MySQL 5.2 verwendet und Sie ziehen mit Ihrem System auf einen Produktiv-Server um, auf dem MySQL 5.0 oder 4.1 läuft, dann '''müssen''' Sie die Option "--compat=mysql40" verwenden.
 
* Die obigen Befehle gelten nur für MySQL-Server! Wenn Sie eine anderes Datenbanksystem (wie Oracle, PostgreSQL, o.a.) verwenden, dann gibt es dort eigene Wekzeuge, um Datenbanken zu sichern!
 
 
==Neue Moodle-Software installieren==
 
Es gibt zwei Möglichkeiten, um an Moodle heranzukommen:
 
* als gepacktes Paket (*.zip oder *.tgz) von http://download.moodle.org/
 
* über [[Git für Administratoren|Git]]
 
 
=== Gepacktes Moodle-Paket verwenden ===
 
 
Laden Sie sich ein geeignetes Paket von http://download.moodle.org/ herunter und entpacken Sie es im neu angelegten Moodle-Verzeichnis.
 
 
'''Achtung''': Überschreiben Sie niemals eine alte Installation! Am besten, Sie benennen Ihr altes [[Moodle-Verzeichnis]] (wo die PHP-Skripte von Moodle gespeichert sind) um und legen ein neues, leeres Verzeichnis mit dem alten Namen an.
 
 
Unter Linux etwa lauten die nötigen Befehle:
 
 
  mv moodle moodle.backup
 
  tar xvzf moodle-1.x.tgz
 
 
Als nächstes kopieren Sie Ihre alte [[Moodle-Konfigurationsdatei]] ''config.php'', Ihre Datei ''.htaccess'' (falls vorhanden) und alle weiteren Module, die Sie in Ihrer alten Version zusätzlich installiert hatten, an die entsprechenden Stellen Ihres aktuellen [[Moodle-Verzeichnis|Moodle-Verzeichnisses]]:
 
 
  cp moodle.backup/config.php moodle
 
  cp -pr moodle.backup/theme/mytheme moodle/theme/mytheme
 
 
Vergessen Sie nicht, die Verzeichnisrechte/ -besitzer wieder richtig anzupassen (wenn nötig):
 
 
  sudo chown www-data moodle/config.php
 
 
Dabei ist "www-data" der Webserver-Nutzer in Ihrem System (meistens "apache" oder "www"). Sie können die richtigen Rechte/Besitzer herausfinden, indem Sie ein "ls -l" auf Ihrem alten Verzeichnis aufrufen und sehen z.B. (neben vielen anderen Zeilen):
 
 
  -rw-r--r--  1 apache system    784 Jun 28  2007 config.php
 
 
D.h. der Besitzer der Datei ist "apache", und die Gruppe ist "system".
 
 
Sie können das für Ihr neues System wie folgt ändern:
 
 
  chown apache:system config.php
 
 
oder für das gesamte Verzeichnis:
 
 
  chown apache:system ./*
 
 
oder rekursiv für das gesamte Verzeichnis und alle Unterverzeichnisse:
 
 
  chown -R apache:system ./*
 
 
 
=== Git verwenden===
 
=== Git verwenden===
  
 
Sie können auch das [[Git für Administratoren|Git]] verwenden, um Moodle zu aktualisieren.  
 
Sie können auch das [[Git für Administratoren|Git]] verwenden, um Moodle zu aktualisieren.  
 
==Aktualisierung abschließen==
 
 
Nach der Installation der neuen Moodle-PHP-Skripte müssen Sie die eigentliche Aktualisierung von Moodle durchführen. Dann wird die [[Moodle-Datenbank]] entsprechend der neuen Version aktualisiert. Gehen Sie dazu auf die Administrationsseite Ihrer Installation:
 
 
  http://example.com/moodle/admin
 
 
Moodle erkennt automatisch, dass eine neue Version im [[Moodle-Verzeichnis]] abgelegt wurde und führt nun die entsprechende Aktualisierung der Datenbank durch.
 
 
Wenn alles glatt läuft und Sie keine Fehlermeldungen erhalten, dann können Sie sofort beginnen, mit der neuen Version zu arbeiten und die neuen Funktionalitäten auszuprobieren.
 
 
'''Achtung''': Wenn Sie eine sehr große Moodle-Installation betreiben (d.h. mehr als 10 000 Kurse und 40 000 Nutzer) und auf Moodle 1.8.x aktualisieren, dann testen Sie die [[Geschwindigkeit]] Ihres Servers, bevor Sie die neue Version freischalten, denn es gibt für diese Version nach wie vor Performanzprobleme.
 
  
 
==Aktualisierte Version testen==
 
==Aktualisierte Version testen==
Zeile 110: Zeile 60:
  
 
==Mehrere Versionen bei der Aktualisierung überspringen==
 
==Mehrere Versionen bei der Aktualisierung überspringen==
 +
Normalerweise können Sie von einer Moodle-Version auf eine beliebige neuere Version aktualisieren, z.B. von 2.0 auf 2.1 oder von 1.9 auf 2.2.
  
Im allgemeinen empfehlen wir, bei der Aktualisierung keine Version zu überspringen, sondern jede Version "mitzunehmen" (z.B. 1.7 > 1.8 > 1.9 > 2.0). Eine Ausnahme ist folgende: Wenn Sie von Moodle 1.5 oder 1.6 aktualisieren, sollten Sie die Versionen 1.7 und 1.8 auslassen, d.h. 1.5 > 1.6 > 1.9 > 2.0. Grund für diese Ausnahme ist, dass bei der Aktualisierung auf Moodle 1.7 die Standardrolleneinstellungen nicht optimal sind und bei der Aktualisierung auf Moodle 1.8 Probleme mit Gruppen auftreten können.  
+
Wenn die Versionssprünge jedoch zu groß sind, kann es zu Problemen kommen (z.B. von 1.6 auf 2.2). Beachten Sie daher folgende Einschränkungen:
 +
* Sie müssen auf eine Version 1.9.x aktualisieren, bevor Sie auf 2.y aktualisieren.
 +
* Sie müssen auf eine Version 2.2.x akttualisieren, bevor Sie auf 2.3 aktualisieren.
  
 
==Siehe auch==
 
==Siehe auch==
* [[Installation von Moodle]]
+
* [[Serverinformationen]]
 
* [[Installation FAQ]]
 
* [[Installation FAQ]]
* [https://docs.moodle.org/19/de/Auf_Moodle_1.8_aktualisieren Auf Moodle 1.8 aktualisieren]
 
* [https://docs.moodle.org/19/de/Auf_Moodle_1.9_aktualisieren Auf Moodle 1.9 aktualisieren]
 
* [[Serverinformationen]]
 
 
* [http://moodle.org/mod/forum/view.php?id=28 Forum zur Installation] im Kurs ''Using Moodle'' auf moodle.org
 
* [http://moodle.org/mod/forum/view.php?id=28 Forum zur Installation] im Kurs ''Using Moodle'' auf moodle.org
 +
 +
Aktualisierung auf eine bestimmte Version:
 +
*[[Auf Moodle 2.2 aktualisieren]]
 +
*[https://docs.moodle.org/21/de/Auf_Moodle_2.1_aktualisieren Auf Moodle 2.1 aktualisieren]
 +
*[https://docs.moodle.org/20/de/Auf_Moodle_2.0_aktualisieren Auf Moodle 2.0 aktualisieren]
 +
*[https://docs.moodle.org/19/de/Auf_Moodle_1.9_aktualisieren Auf Moodle 1.9 aktualisieren]
 +
*[https://docs.moodle.org/19/de/Auf_Moodle_1.8_aktualisieren Auf Moodle 1.8 aktualisieren]
 +
*[https://docs.moodle.org/19/de/Auf_Moodle_1.7_aktualisieren Auf Moodle 1.7 aktualisieren]
 +
*[https://docs.moodle.org/19/de/Auf_Moodle_1.6_aktualisieren Auf Moodle 1.6 aktualisieren]
  
 
Diskussionsbeiträge im Kurs ''Using Moodle'' auf moodle.org:
 
Diskussionsbeiträge im Kurs ''Using Moodle'' auf moodle.org:
*[http://moodle.org/mod/forum/discuss.php?d=56991 Upgrade nightmares.... any help appreciated]
 
*[http://moodle.org/mod/forum/discuss.php?d=62463 After upgrading i get "Your site may not be secure." msg]
 
 
*[http://moodle.org/mod/forum/discuss.php?d=104887 Best practices for QA]
 
*[http://moodle.org/mod/forum/discuss.php?d=104887 Best practices for QA]
 +
*[http://moodle.org/mod/forum/discuss.php?d=198123 Language customizations lost on upgrade]
  
 
{{Credits}} [https://docs.moodle.org/19/de/Aktualisierung_von_Moodle]
 
{{Credits}} [https://docs.moodle.org/19/de/Aktualisierung_von_Moodle]

Version vom 25. Mai 2012, 10:20 Uhr


Bevor Sie irgend etwas anderes tun, lesen Sie den Artikel Auf Moodle 2.2 aktualisieren.

Moodle ist so konzipiert, dass man das System einfach und problemlos von einer Version auf die nächste aktualisieren kann. Die Vorgehensweise ist folgende:

In diesem Artikel werden die einzelnen Schritte einer Aktualisierung detailliert beschrieben.

Manchmal muss man Besonderheiten beachten, wenn man auf eine bestimmte Moodle-Version aktualisiert. Informationen dazu finden Sie auf der Release Page. Wenn Sie zusätzliche Plugins installiert oder Codeanpassungen vorgenommen haben, müssen Sie ebenfalls sorgfältig vorgehen.

Wenn Sie Moodle über das cpanel aktualisieren, beachten Sie folgendes Video. Es ist nicht mehr aktuell, kann aber dennoch einen groben Einblick geben.


Bevor Sie Ihre Produktiv-Installation aktualisieren

Wir empfehlen dringend, eine Kopie Ihrer aktuellen Installation auf einem anderen Server zu erstellen (siehe Moodle Migration) und die Aktualisierung dort testweise durchzuführen. Wenn Sie diesen Weg nicht gehen wollen, stellen Sie wenigstens sicher, dass Sie gute Sicherungen haben. Wenn die Aktualisierung schief geht, benötigen Sie die Sicherungen, um Ihr altes Moodle wiederherzustellen.

Voraussetzungen prüfen

Nehmen Sie sich die Zeit und lesen Sie noch einmal den Artikel Installation von Moodle. Prüfen Sie die Systemanforderungen für die Moodle-Version, auf die Sie aktualisieren möchten, unter Block Einstellungen > Website-Administration > Server > Serverinformationen.

Wartungsmodus aktivieren

Bevor Sie mit der Aktualisierung beginnen, schalten Sie die Moodle-Site in den Wartungsmodus, um zu verhindern, dass sich Nutzer/innen anmelden.

Wichtige Daten sichern

Detaillierte Informationen dazu finden Sie im Artikel Sicherungen.

Im wesentlichen müssen Sie drei Bereiche sichern:

  1. Moodle Software (PHP-Skripte von Moodle)
  2. Moodle-Datenverzeichnis
  3. Moodle-Datenbank

Erfahrene Administrator/innen wissen, dass es bei größeren Aktualisierungen immer wichtig ist, diese Daten zu sichern. Generell ist es eine gute Idee, diese Daten täglich automatisch zu sichern. Wenn Sie eine Standardinstallation von Moodle betreiben (ohne zusätzliche Plugins, ohne eigene Codeanpassungen), dann läuft die Aktualisierung normalerweise reibungslos durch.

Tipp: Prüfen Sie auch, ob Sie Ihre Sicherungen wiederherstellen können, sonst nützen sie nichts!

Neue Moodle-Software installieren

Die Aktualsierung von Moodle kann ein ganz einfacher, aber auch ein komplizierterer Prozess sein. Wenn Sie keine zusätzlcihen Plugins haben und z.B. von Moodle 2.x.1 auf Moodle 2.x.3 aktualisieren, sollte dies ohne Probleme funktionieren. Dennoch sollten Sie auch in diesem Fall alle relevanten Daten sichern.

Achtung: Überschreiben Sie niemals eine alte Installation, wenn Sie nicht genau wissen, was Sie da tun! Am besten, Sie benennen Ihr altes Moodle-Verzeichnis (wo die PHP-Skripte von Moodle gespeichert sind) um und legen ein neues, leeres Verzeichnis mit dem alten Namen an.

Standardpaket verwenden

Laden Sie sich das aktuellste Standardinstallationspaket herunter.

  • Aktivieren Sie den Wartungsmodus.
  • Benennen Sie das alte Moodle-Verzeichnis um (z.B. /moodle -> /moodleold), und entpacken Sie den neuen Code und kopieren Sie ihn in das Verzeichnis, wo die alten Moodle-Skripte vorher lagen (z.B. /moodle).
  • Kopieren Sie Ihre alte Moodle-Konfigurationsdatei config.php zurück ins Moodle-Verzeichnis (z.B. /moodle).
  • Wenn Sie zusätzliche Plugins installiert hatten, laden Sie die entsprechenden neuen Versionen herunter und entpacken Sie diese in den passenden Verzeichnissen (siehe Plugins installieren). Stellen Sie sicher, dass die Versionen der Plugins zur neuen Moodle-Version passen.
  • Gehen Sie auf die Seite Einstellungen > Website-Administration > Mitteilungen, um den Aktualisierungsprozess anzustoßen.
  • Nach erfolgreicher Aktualisierung schalten Sie den Wartungsmodus wieder aus, damit sich Ihre Nutzer/innen wieder anmelden können.

Git verwenden

Sie können auch das Git verwenden, um Moodle zu aktualisieren.

Aktualisierte Version testen

Wenn Sie prüfen möchten, ob das Datenbank-Schema Ihrer aktualisierten Moodle-Datenbank mit dem Datenbank-Schema einer Neuinstallation übereinstimmt, dann finden Sie nähere Informationen dazu im Artikel Datenbank-Schema prüfen.

Mehrere Versionen bei der Aktualisierung überspringen

Normalerweise können Sie von einer Moodle-Version auf eine beliebige neuere Version aktualisieren, z.B. von 2.0 auf 2.1 oder von 1.9 auf 2.2.

Wenn die Versionssprünge jedoch zu groß sind, kann es zu Problemen kommen (z.B. von 1.6 auf 2.2). Beachten Sie daher folgende Einschränkungen:

  • Sie müssen auf eine Version 1.9.x aktualisieren, bevor Sie auf 2.y aktualisieren.
  • Sie müssen auf eine Version 2.2.x akttualisieren, bevor Sie auf 2.3 aktualisieren.

Siehe auch

Aktualisierung auf eine bestimmte Version:

Diskussionsbeiträge im Kurs Using Moodle auf moodle.org:

Vorlage:Credits [1]